<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:jsf="http://xmlns.jcp.org/jsf">

    <body>

        <ui:composition template="./plantilla-principal.xhtml">

            <ui:define name="contenido">
                <h2 class="ui header"><i class="dashboard icon" />Dashboard</h2>
                <h5 class="ui horizontal divider header">
                    <i class="star icon" />
                    Frecuentes
                </h5>
                <div class="ui stackable six column grid">
                    <div jsf:rendered="#{empty dashboardManBean.getModulosUsoFrecuente(sessionManBean.funcionarioVar.idfuncionario)}" class="centered six wide column">
                        <h:outputText value="(Aquí aparecerán los módulos a los que accede con mayor frecuencia)" style="color: gray" />
                    </div>
                    <ui:repeat value="#{dashboardManBean.getModulosUsoFrecuente(sessionManBean.funcionarioVar.idfuncionario)}" var="moduloFrecuente">
                    <div class="column">
                        <h:outputLink class="ui green fluid card" value="#{navegacionManBean.rootPath}/faces/#{moduloFrecuente.url}">

                            <div class="content">
                                <div class="header">
                                    #{moduloFrecuente.nombre}
                                </div>
                                <div class="meta">
                                    Categoría: #{moduloFrecuente.categoriaModulo.nombre}
                                </div>
                                <div class="description">
                                    #{moduloFrecuente.descripcion}
                                </div>

                            </div>
                        </h:outputLink>
                    </div>
                    </ui:repeat>
                </div>
            </ui:define>

        </ui:composition>

    </body>
</html>
